cmake_minimum_required(VERSION 3.28)
project(cpp_algorithms2)

set(CMAKE_CXX_STANDARD 17)

find_package(Boost REQUIRED)

add_executable(cpp_algorithms2 main.cpp)
target_include_directories(cpp_algorithms2 PUBLIC ${Boost_INCLUDE_DIRS})
target_link_libraries(cpp_algorithms2 boost::boost)
